Page MenuHomePhabricator

Mouse pointer warps on window resize using key bindings
Closed, ResolvedPublic

Description

I have bound some keys to resizing windows. This works fine when no external display is attached. But resizing a window using the keyboard when an external display is attached is broken: the mouse pointer jumps to the far right edge of the screen on the display on the right, but works as expected when resizing on the display on the left. If I have the external display above the laptop screen, the pointer warps to the bottom of the screen.

mattikbk created this task.Feb 11 2016, 3:27 AM
mattikbk updated the task description. (Show Details)
mattikbk raised the priority of this task from to Incoming Queue.
mattikbk added a project: enlightenment20.
mattikbk added a subscriber: mattikbk.

The same pointer warping occurs when I use keybindings to move windows.

zmike triaged this task as Pending on user input priority.May 11 2016, 10:47 AM

Can you confirm which version you're testing this on?

This issue is still bugging me. I run Enlightenment version 0.21.2.

mattikbk raised the priority of this task from Pending on user input to Normal.Sep 27 2016, 7:40 AM
zmike lowered the priority of this task from Normal to Pending on user input.Aug 17 2017, 12:31 PM

This seems to work fine for me on more recent versions, perhaps it's been fixed.

The pointer still warps in my setup. Versions: Enlightenment 0.21.9 and EFL 1.20.1.

zmike added a comment.Aug 18 2017, 6:45 AM

So it works correctly when resizing on the primary monitor but not the secondary? Does the position of the monitor have any effect on this?

It works correctly on the screen on the left or above but not on the screen on the right or below. Regardless of which monitor the screen is, laptop or external.

zmike added a comment.Aug 18 2017, 9:53 AM

Does it occur if you trigger keyboard resize from the window menu?

zmike added a comment.Aug 18 2017, 9:58 AM

I can't seem to trigger this no matter what configuration I try...

zmike added a comment.Aug 21 2017, 9:47 AM

Can you try playing with your window focus settings a bit? I think you must have some option set that which I am not testing.

This doesn't occur if I trigger keyboard resize from the window menu.

Changing the focus policy to "Click" also prevents this behavior. Pointer or Sloppy focus have this problem.

"Prevent all forms of pointer warping" eliminates this behavior too.

My keybindings resize windows by "100 0", "-100 0", "0 100" and "0 -100".

zmike added a comment.Aug 28 2017, 8:10 AM

ohhhhh you're using the resize_by action, not resize. that's crucial info